import { ConfigLoader, ConfigLoaderOutput } from '../base';
export type FileLoader = (path: string, verbose?: boolean) => ConfigLoaderOutput;
export type FilePathMatcher = (path: string) => boolean;
export type FileParser = {
    name: string;
    loader: FileLoader;
    matcher: FilePathMatcher;
};
export declare const dir: (parsers: FileParser[]) => ConfigLoader;
export declare const jsonRegex: RegExp;
export declare const jsonSopsRegex: RegExp;
export declare const standardDir: ConfigLoader;
